AUDIT_SET_PID(3)

NAME
audit_set_pid - Set audit daemon process ID

SYNOPSIS
#include <libaudit.h>

int audit_set_pid(int fd, uint32_t pid, rep_wait_t wmode);"

DESCRIPTION
audit_set_pid tells the kernel what the pid is of the audit daemon. The fd argument is an open descriptor to the audit netlink socket. When pid is set to 0, the kernel will log all events to syslog. Otherwise it will try to send events to the netlink connection that has the same pid given by this function. If for some reason the process goes away, the kernel will automatically set the value to 0 itself. Usually this function is called by the audit daemon and not an external program. If wmode is WAIT_YES, the function will wait for an ACK from the kernel.

RETURN VALUE
The return value is <= 0 on error, otherwise it is the netlink sequence id number. This function can have any error that sendto would encounter.

SEE ALSO
audit_open(3), auditd(8).

AUTHOR
Steve Grubb